Package org.bukkit.event.raid

# Class RaidStopEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.raid.RaidEvent
org.bukkit.event.raid.RaidStopEvent

public class RaidStopEvent extends RaidEvent
Called when a `Raid` is stopped.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RaidStopEvent.Reason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`RaidStopEvent(@NotNull Raid raid, @NotNull World world, @NotNull RaidStopEvent.Reason reason)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull RaidStopEvent.Reason`
`getReason()`
Returns the stop reason.

### Methods inherited from class org.bukkit.event.raid.RaidEvent

`getRaid`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RaidStopEvent

public RaidStopEvent(@NotNull @NotNull Raid raid, @NotNull @NotNull World world, @NotNull @NotNull RaidStopEvent.Reason reason)

## Method Details

### getReason

@NotNull public @NotNull RaidStopEvent.Reason getReason()
Returns the stop reason.

Returns:
  Reason

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()